Bug 842292 - [abrt] crash when scrolling in multiselection in slide sorter
[abrt] crash when scrolling in multiselection in slide sorter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:e6552b2a47d38e43a4c4e1fc404...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 07:51 EDT by Cian
Modified: 2012-08-31 17:24 EDT (History)
7 users (show)

See Also:
Fixed In Version: libreoffice-3.5.6.2-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-31 17:24:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (25.85 KB, text/plain)
2012-07-23 07:51 EDT, Cian
no flags Details
File: maps (95.05 KB, text/plain)
2012-07-23 07:51 EDT, Cian
no flags Details
File: backtrace (38.08 KB, text/plain)
2012-07-23 07:51 EDT, Cian
no flags Details
Libreoffice Impress autoscroll behaviour in slide sorter view (3.95 MB, video/webm)
2012-08-28 05:11 EDT, Pratyush Sahay
no flags Details

  None (edit)
Description Cian 2012-07-23 07:51:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress file:///ugi/home/sejjcmu/Downloads/finalpresentation.pptx --splash-pipe=7
comment:        it just crashed. 
crash_function: sd::slidesorter::SlideSorter::GetController
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.4.2-1.fc16.x86_64
pid:            17040
pwd:            /ugi/home/sejjcmu
time:           Mon 23 Jul 2012 12:18:35 BST
uid:            161568
username:       sejjcmu
xsession_errors: 

backtrace:      Text file, 38995 bytes
dso_list:       Text file, 26467 bytes
maps:           Text file, 97331 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME= ######
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=17028
:GPG_AGENT_INFO=/tmp/keyring-sMNcgi/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-27268-ugi-########-libreoffice-1_TIME1198371471
:HISTSIZE=1000
:XDG_SESSION_COOKIE=4203db75ca63d6a919d5c46f0000000b-1341840743.67264-436919032
:GJS_DEBUG_OUTPUT=stderr
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-sMNcgi
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=#####
:SSH_AUTH_SOCK=/tmp/keyring-sMNcgi/ssh
:USERNAME=######
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1309,unix/unix:/tmp/.ICE-unix/1309
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-impress.desktop
:MAIL=/var/spool/mail/######
:PATH=/usr/local/src/java/jdk1.6.0_20/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/ugi/home/sejjcmu
:JAVA_HOME=/usr/local/src/java/jdk1.6.0_20/bin
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1302
:LANG=en_GB.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/ugi/home/######
:XDG_SEAT=seat0
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=#######
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-WsS4C7spaL,guid=3f120c656333c03b63fe0c6000000023
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/#######
:DISPLAY=:0.0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-######-L5MypQ/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64

smolt_data:
:
:
:General
:=================================
:UUID: 4df70241-b3d6-40ab-b8bc-aa765293eab4
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.UTF-8
:Platform: x86_64
:BogoMIPS: 5652.61
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2833
:System Memory: 3826
:System Swap: 0
:Vendor: Dell Inc.
:System: OptiPlex 960 
:Form factor: Mini Tower
:Kernel: 3.4.2-1.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11792:4136:630) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:11793:4136:630) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(32902:14944:4136:630) pci, i801_smbus, SERIAL, 82801JD/DO (ICH10 Family) SMBus Controller
:(32902:10274:4136:630) pci, ahci, RAID, 82801 SATA RAID Controller
:(32902:14868:4136:630) pci, None, PCI/ISA, 82801JDO (ICH10DO) LPC Interface Controller
:(32902:4318:4136:630) pci, e1000e, ETHERNET, 82567LM-3 Gigabit Network Connection
:(32902:9294:4136:630) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:14949:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #2
:(32902:14948:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #1
:(32902:14953:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #6
:(32902:14950:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #3
:(32902:14954:4136:630) pci, ehci_hcd, USB, 82801JD/DO (ICH10 Family) USB2 EHCI Controller #1
:(32902:14956:4136:630) pci, ehci_hcd, USB, 82801JD/DO (ICH10 Family) USB2 EHCI Controller #2
:(32902:14960:4136:630) pci, pcieport, PCI/PCI, 82801JD/DO (ICH10 Family) PCI Express Port 1
:(32902:14962:4136:630) pci, pcieport, PCI/PCI, 82801JD/DO (ICH10 Family) PCI Express Port 2
:(32902:11796:4136:630) pci, None, SIMPLE, 4 Series Chipset HECI Controller
:(32902:11799:4136:630) pci, serial, 16550_SERIAL, 4 Series Chipset Serial KT Controller
:(32902:14958:4136:630) pci, snd_hda_intel, MULTIMEDIA, 82801JD/DO (ICH10 Family) HD Audio Controller
:(32902:14951:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #4
:(32902:14952:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #5
:(4098:43576:4136:43576) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4098:38032:4136:9538) pci, radeon, VIDEO, RV730XT [Radeon HD 4670]
:(32902:11798:4136:630) pci, ata_generic, STORAGE, 4 Series Chipset PT IDER Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5226764 3134519 2872375 1310720 1026606 1026606
:/dev/sda2 /tmp ext4 4096 4096 1045750 996443 944015 262144 262027 262027
:/dev/sda5 WITHHELD ext4 4096 4096 69673740 68611145 65123465 17440768 17440757 17440757
:/dev/sda3 /var ext4 4096 4096 2090580 1866043 1761186 524288 518539 518539
:

var_log_messages:
:Jul 23 12:18:35 ugi-tmp-79252 kernel: [1201607.567805] soffice.bin[17040] general protection ip:7ff2733c1f10 sp:7fff2e700ca8 error:0 in libsdlx.so[7ff272f8a000+5e4000]
:Jul 23 12:18:37 ugi-tmp-79252 abrt[18154]: Saved core dump of pid 17040 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-23-12:18:35-17040 (199335936 bytes)
Comment 1 Cian 2012-07-23 07:51:23 EDT
Created attachment 599760 [details]
File: dso_list
Comment 2 Cian 2012-07-23 07:51:26 EDT
Created attachment 599761 [details]
File: maps
Comment 3 Cian 2012-07-23 07:51:29 EDT
Created attachment 599762 [details]
File: backtrace
Comment 4 David Tardon 2012-07-25 08:44:28 EDT
What would you say... Reproducible.

How to reproduce:

1. create a presentation with a lot of slides (32 should be enough)
2. switch to slide sorter view
3. press left mouse button and move the cursor down out of the slides area (the slides should be scrolling up)
4. release mouse button
5. move cursor back over the slides area
Comment 5 Fedora Update System 2012-08-23 10:44:20 EDT
libreoffice-3.5.6.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libreoffice-3.5.6.2-2.fc17
Comment 6 Fedora Update System 2012-08-23 19:25:32 EDT
Package libreoffice-3.5.6.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.5.6.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12586/libreoffice-3.5.6.2-2.fc17
then log in and leave karma (feedback).
Comment 7 Pratyush Sahay 2012-08-28 05:08:15 EDT
Mentioned crash is no more reproducible in libreoffice-3.5.6.2-2.fc17. 
However, there is another issue in the slide sorter view. 
Steps:
1) Press left mouse button near first slide and drag mouse down out of slides area. This action will select all the slides.
2) Leave the lest mouse button.
3) Click and drag the scrollbar to the top of the slide sorter view. Leave the left mouse button.
4) The scrollbar will automatically scroll down.
(Refer: 00:00 - 00:21 in the attached video)

This autoscrolling doesnt happen when doing following:
1) Left click on last slide in slide sorter view.
2) Press Ctrl+A to select all the slides.
3) Drag the mouse out of the slides area.
4) Drag scrollbar up using mouse and leave it.
5) Auto scroll doesnt happen here.
(Refer: 00:22 onwards in the attached video)
Comment 8 Pratyush Sahay 2012-08-28 05:11:37 EDT
Created attachment 607450 [details]
Libreoffice Impress autoscroll behaviour in slide sorter view
Comment 9 Fedora Update System 2012-08-31 17:24:35 EDT
libreoffice-3.5.6.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.